function estscale=MCMCMC_backtransform(est,nprop)
%back-transform parameters output from LV_MCMCMC7 and rescale initial state probs to sum to 1
%SYNTAX
%estscale=MCMCMC_backtransform(est,nprop)
%INPUTS
%est is transformed parameters (e.g. from cold chain of LV_MCMCMC7)
%nprop is number of states (=number of initial state proportions)
%OUTPUTS
%estscale is parameters on arithmetic scale

est=exp(est);
es=sum(est(:,1:nprop),2);
es=es(:,ones(1,nprop));
estscale=est;
estscale(:,1:nprop)=estscale(:,1:nprop)./es;
