function [n0,nsamp,p0,psamp]=get_nsamp(ntrans_cat)
%get number and proportion of points in each state at each time interval
%SYNTAX
%[n0,nsamp,p0,psamp]=get_nsamp(ntrans_cat)
%INPUTS
%ntrans_cat is concatenated counts of transitions
%OUTPUTS
%n0 is number of points in each state at first time point
%nsamp is number of points in each state at each later time point (including
%the last one)
%p0 is proportion of points in each state at first time point
%psamp is proportion of points in each state at each time point

[s,t]=size(ntrans_cat);%number of states
nt=t/s;%number of time intervals

%number of each state at start of each time interval
nsamp=sum(ntrans_cat)';
nsamp=reshape(nsamp,s,nt);

%number of each state at end of last time interval
nlast=sum(ntrans_cat(:,t-s+1:t),2);%row sums of last transition matrix
nsamp=[nsamp nlast];

nsum=sum(nsamp);
nsum=nsum(ones(s,1),:);
psamp=nsamp./nsum;

n0=nsamp(:,1);
p0=psamp(:,1);
nsamp=nsamp(:,2:size(nsamp,2));
psamp=psamp(:,2:size(psamp,2));

